org.apache.sling.scripting.jsp.taglib.helpers

## Enum XSSSupport.ENCODING_MODE

- java.lang.Object
- - java.lang.Enum<XSSSupport.ENCODING_MODE>
  - - org.apache.sling.scripting.jsp.taglib.helpers.XSSSupport.ENCODING_MODE

All Implemented Interfaces:
  Serializable, Comparable<XSSSupport.ENCODING_MODE>

Enclosing class:
  XSSSupport

    public static enum XSSSupport.ENCODING_MODE
    extends Enum<XSSSupport.ENCODING_MODE>

The encoding modes supported by this tag.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HTML` Encodes the content as HTML
`HTML_ATTR`
`JS`
`XML`
`XML_ATTR`

### Method Summary

All Methods Static Methods Concrete Methods
`static XSSSupport.ENCODING_MODE` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XSSSupport.ENCODING_MODE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HTML

    public static final XSSSupport.ENCODING_MODE HTML

Encodes the content as HTML

#### HTML_ATTR

    public static final XSSSupport.ENCODING_MODE HTML_ATTR

#### JS

    public static final XSSSupport.ENCODING_MODE JS

#### XML

    public static final XSSSupport.ENCODING_MODE XML

#### XML_ATTR

    public static final XSSSupport.ENCODING_MODE XML_ATTR

### Method Detail

#### values

    public static XSSSupport.ENCODING_MODE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XSSSupport.ENCODING_MODE c : XSSSupport.ENCODING_MODE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XSSSupport.ENCODING_MODE valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null